# Update a trial offer

Updates the specified trial offer by setting the values of the parameters passed. Any parameters not provided are left unchanged.

## Request

```curl
curl https://api.stripe.com/v1/product_catalog/trial_offers/to_1Hh5Xx2eZvKYlo2C8JaUOv4R \
  -u "<<YOUR_SECRET_KEY>>" \
  -d active=false
```

### Response

```json
{
  "id": "to_1Hh5Xx2eZvKYlo2C8JaUOv4R",
  "object": "product_catalog.trial_offer",
  "livemode": false,
  "active": false,
  "duration": {
    "relative": {
      "iterations": 2
    },
    "type": "relative"
  },
  "end_behavior": {
    "transition": {
      "price": "price_1Hh5Xx2eZvKYlo2C8JaUOv3P"
    },
    "type": "transition"
  },
  "price": "price_1Hh5Xx2eZvKYlo2C8JaUOv2Q"
}
```

## Parameters

- `active` (boolean, optional)
  Whether the trial offer can be used for new purchases.

## Returns

Returns the trial offer object if the call succeeded.
